
function aupr = calculate_aupr(targets, predicts)
	% Calculate area under the Precission/recall curve
	if nargin > 1
		[unused,i] = sort(predicts,'descend');
		targets = targets(i);
	end
	
	%for i=1:n
	%	if targets(i)
	%		goods = goods + 1
	%       aupr = aupr + good/(good+bad);
	%	else
	%		bad = bad + 1;
	%	end
	%end
	cumsums = cumsum(targets)./reshape(1:numel(targets),size(targets));
	aupr = sum(cumsums(~~targets));
	pos = sum(targets);
	aupr = aupr / pos;
end
