
function stats = stats_for_cross_validate(results, varargin)
	% Calculate statistics of a single run from run_cross_validate.
	% 
	% Usage:
	%   stats = stats_for_cross_validate(results, varargin)
	% 
	% Options:
	%    'score_type',X: how to do the scoring? Possible values:
	%       'per_repetition' (default)
	%       'per_fold'
	%       'per_row'
	%       'per_column'
	%       'automatic': depending on cv_type
	
	[actuals,scores] = group_for_cross_validate(results, varargin{:});
	stats = stats_for_predictions(actuals, scores);
end
